summaryrefslogtreecommitdiff
path: root/autobuild.sh
diff options
context:
space:
mode:
authorKevin Day <blame582@gmail.com>2008-09-21 07:40:37 +0000
committerKevin Day <blame582@gmail.com>2008-09-21 07:40:37 +0000
commit2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4 (patch)
treea5e06cde800cacdf444364999531bbdf25f9b527 /autobuild.sh
parent0ae7eecb07d4f2cf955df2ddecc9ac5f0795fe98 (diff)
downloadmana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.tar.gz
mana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.tar.bz2
mana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.tar.xz
mana-2dc8eadff1e67bb70b1772ecc19c9e1e2e40a5b4.zip
added an update.sh script and updated the autobuild.sh script
Diffstat (limited to 'autobuild.sh')
-rwxr-xr-xautobuild.sh23
1 files changed, 16 insertions, 7 deletions
diff --git a/autobuild.sh b/autobuild.sh
index 0d8f8b27..c5160439 100755
--- a/autobuild.sh
+++ b/autobuild.sh
@@ -24,12 +24,21 @@ echo "now running make"
make
echo
-echo "now running make install please input your root password"
-
-su -c "make install"
-su -c "make clean"
-
+echo "now running make install please input your root password";
+if [ /etc/fedora-release ]; then
+ echo "Fedora found";
+ su -c "make install";
+ su -c "make clean";
+ echo "Done";
+ aethyra &
+ exit 1;
+elif [ /etc/lsb-release ];then
+ echo "ubuntu found";
+ sudo make install;
+ aethyra &
+ exit 1;
+else
+ echo "login as root and run make install"
+fi
echo "done"
-aethyra &
-exit 1;